Skip to main content
PUT
/
api
/
contact
/
{contactId}
/
events
/
{eventId}
Actualizar Evento del Contacto
curl --request PUT \
  --url https://api.plazbot.com/api/contact/{contactId}/events/{eventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "workspaceId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "date": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.plazbot.com/api/contact/{contactId}/events/{eventId}"

payload = {
    "workspaceId": "<string>",
    "title": "<string>",
    "description": "<string>",
    "date": "2023-11-07T05:31:56Z"
}
headers = {
    "x-workspace-id": "<x-workspace-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'x-workspace-id': '<x-workspace-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    workspaceId: '<string>',
    title: '<string>',
    description: '<string>',
    date: '2023-11-07T05:31:56Z'
  })
};

fetch('https://api.plazbot.com/api/contact/{contactId}/events/{eventId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": {}
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Path Parameters

contactId
string
required

ID del contacto

eventId
string
required

ID del evento a actualizar

Body

application/json
workspaceId
string
required

Identificador del workspace

title
string

Titulo del evento

description
string | null

Descripcion del evento

date
string<date-time>

Fecha y hora del evento

Response

Evento actualizado exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object | null
required

Datos de la respuesta